curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/revenue?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{ "id": 1, "revenue": "$1M-$10M" },
{ "id": 2, "revenue": "$10M-$50M" }
]
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
Smart Prospect
Revenue API
List active revenue options for the authenticated user - GET /revenue
GET
/
api
/
v1
/
search-email-leads
/
revenue
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/revenue?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{ "id": 1, "revenue": "$1M-$10M" },
{ "id": 2, "revenue": "$10M-$50M" }
]
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
This endpoint requires authentication via API key passed as a query parameter (
api_key).Query Parameters
string
required
Your SmartLead API key for authentication
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/revenue?api_key=YOUR_API_KEY"
Response Codes
Success
Request successful
Unauthorized
Unauthorized
Internal Server Error
Internal Server Error
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{ "id": 1, "revenue": "$1M-$10M" },
{ "id": 2, "revenue": "$10M-$50M" }
]
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
